# Class OptionsFromMethodDirective<Value, Parameters>

#### Type Parameters

- Value = any
- Parameters = any

#### Hierarchy (view full)

- AfterViewInit
- OnChanges
- ExtractOptionsMethodMixin
  - OptionsFromMethodDirective

#### Implements

- AfterViewInit
- OnChanges

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:34
- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:44

#####
Index

### Constructors

constructor

### Properties

cdr
control?
injector
matFormField
method
ngControl
options
parameters?
resetOnChange?
settings
template
viewContainerRef

### Methods

extractControl
extractFormDefinition
extractMethod
extractMethods
extractOptionsMethod
loadOptions
ngAfterViewInit
ngOnChanges
renderTemplate
setOptions
ngTemplateContextGuard

## Constructors

### constructor

- new OptionsFromMethodDirective<Value, Parameters>(): OptionsFromMethodDirective<Value, Parameters>

- #### Type Parameters

  - Value = any
  - Parameters = any

  #### Returns OptionsFromMethodDirective<Value, Parameters>

  Inherited from ExtractOptionsMethodMixin.constructor

## Properties

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef = ...

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:66

### `Protected` `Optional` control

control?: RxapFormControl<any, any, any>

Inherited from ExtractOptionsMethodMixin.control

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14

### `Protected` `Readonly` injector

injector: Injector = ...

Inherited from ExtractOptionsMethodMixin.injector

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:65

### `Protected` matFormField

matFormField: null | MatFormField = null

Inherited from ExtractOptionsMethodMixin.matFormField

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:61

### `Protected` method

method: Method<ControlOptions, Parameters>

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:63

### `Protected` ngControl

ngControl: null | NgControl = null

Inherited from ExtractOptionsMethodMixin.ngControl

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:60

### options

options: null | ControlOptions = null

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:59

### `Optional` parameters

parameters?: Parameters

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:54

### `Optional` resetOnChange

resetOnChange?: Value

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:57

### `Protected` settings

settings: OptionsFromMethodDirectiveSettings = {}

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:62

### `Private` `Readonly` template

template: TemplateRef<OptionsFromMethodTemplateContext> = ...

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:67

### `Protected` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef = ...

- Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:64

## Methods

### `Protected` extractControl

- extractControl(ngControl?): RxapFormControl<any, any, any>

- #### Parameters

  - ngControl: null | NgControl | AbstractControlDirective = ...

  #### Returns RxapFormControl<any, any, any>

  Inherited from ExtractOptionsMethodMixin.extractControl

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16

### `Protected` extractFormDefinition

- extractFormDefinition(control): FormDefinition<any, any, any>

- #### Parameters

  - control: AbstractControl<any>

  #### Returns FormDefinition<any, any, any>

  Inherited from ExtractOptionsMethodMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### extractMethod

- extractMethod(formDefinition, controlId, name): Method<any, any>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string
  - name: string

  #### Returns Method<any, any>

  Inherited from ExtractOptionsMethodMixin.extractMethod

  - Defined in packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:16

### `Protected` extractMethods

- extractMethods(formDefinition, controlId): Map<string, UseMethodDefinition<unknown, unknown, UseMethodConfig<unknown, unknown, any, any>>>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string

  #### Returns Map<string, UseMethodDefinition<unknown, unknown, UseMethodConfig<unknown, unknown, any, any>>>

  Inherited from ExtractOptionsMethodMixin.extractMethods

  - Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43

### `Protected` extractOptionsMethod

- extractOptionsMethod(control?, formDefinition?): Method<any, any>

- #### Parameters

  - control: RxapFormControl<any, any, any> = ...
  - formDefinition: FormDefinition<any, any, any> = ...

  #### Returns Method<any, any>

  Inherited from ExtractOptionsMethodMixin.extractOptionsMethod

  - Defined in packages/angular/form-system/src/lib/mixins/extract-options-method.mixin.ts:29

### `Protected` loadOptions

- loadOptions(parameters?): Promise<ControlOptions>

- #### Parameters

  - `Optional` parameters: Parameters

  #### Returns Promise<ControlOptions>

  - Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:93

### ngAfterViewInit

- ngAfterViewInit(): Promise<void>

- #### Returns Promise<void>

  Inherited from AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:69

### ngOnChanges

- ngOnChanges(changes): Promise<void>

- #### Parameters

  - changes: SimpleChanges

  #### Returns Promise<void>

  Inherited from OnChanges.ngOnChanges

  - Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:80

### `Protected` renderTemplate

- renderTemplate(): void

- #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:97

### `Protected` setOptions

- setOptions(options): void

- #### Parameters

  - options: ControlOptions

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:117

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard(dir, ctx): ctx is OptionsFromMethodTemplateContext

- #### Parameters

  - dir: OptionsFromMethodDirective<any, any>
  - ctx: any

  #### Returns ctx is OptionsFromMethodTemplateContext

  - Defined in packages/angular/form-system/src/lib/directives/options-from-method.directive.ts:46